View Issue Details

IDProjectCategoryView StatusLast Update
0008986mantisbtemailpublic2019-04-13 06:35
ReporterthE_iNviNciblEAssigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0008986: customized eMail subjects
Description

customized eMail subjects

i can't find any option in the default_config.php

Now it's like this:
"[Main Project - Category 0000202]: Title Name"

it would be very cool if you can customize it like this

  • "[Main Project - Category 0000202]: ~Opened ~ Title Name"
  • "[Main Project - Category 0000202]: ~Closed ~ Title Name"

$eMailSubject = [###PROJECT### - ###CATEGORY### - ###BUGID###]: ~###STATUS###~ ###TITLENAME###

TagsNo tags attached.

Relationships

related to 0012830 new new HTMLMail plugin v0.1 
related to 0015648 closeddregad add event signalling to email_build_subject() function 
related to 0017445 new Add Global Profile Entries to Mail Header 

Activities

M.C.S.

M.C.S.

2010-09-22 08:10

reporter   ~0026840

I would appreciate this kind of customization, too. It would help to sort incoming notification emails by (for example) the ticket priority.

anstifan

anstifan

2011-05-09 06:02

reporter   ~0028763

It would be useful also for my team. we'd need to have the "status" and the "assigned to" in the subject in order to quickly understand the priority of the mail.

zdroyer

zdroyer

2011-08-16 07:38

reporter   ~0029487

look here: http://www.mantisbt.org/bugs/view.php?id=12830
It is not exactly you need, but you can customize it or wait a bit - maybe someone will develop this template

(can some developer create a relationship between this and 12830 issue?)

stojex

stojex

2013-04-18 10:16

reporter   ~0036627

Hey,
You can edit file core/email_api.php in function email_bug_info_to_one_user()

Add line:
$t_status_NEW = $p_visible_bug_data['email_status']; //New variable

Edit variable $t_subject
$t_subject = '[' . $p_visible_bug_data['email_project'] . ' ' . bug_format_id( $p_visible_bug_data['email_bug'] ) .']: ~'. get_enum_element( 'status', $t_status_NEW ) . ' [' . $p_visible_bug_data['email_handler'] . '] ~'. $p_visible_bug_data['email_summary'] . ;

Yvotetac

Yvotetac

2014-01-11 11:59

reporter  

CustomizeEmailSubject.zip (8,639 bytes)
Yvotetac

Yvotetac

2014-01-11 12:17

reporter   ~0039017

Hello,

I modified the plugin "CustumizeEmailSubject" Mantis BT for 1.2.15.

Changes are:

  • Upgrade Version 0.1.2 to 0.1.3.
  • French Language for the Plugin
  • Language support in "Manage Plugins"
  • Fixed display bug in "Settings for Customized Email Subject / Subject Email Template" => <? echo plugin_config_get('email_subject_template', '') ?>
  • Fixed bug "/ / plugin_lang_get is not working in hook functions" in "CustomizeEmailSubject.php"

Good day: o)

NB: Both patches are always necessary.

atrol

atrol

2014-01-11 14:37

developer   ~0039018

Yvotetac,
this is the right place to make changes of this plugin
https://github.com/mantisbt-plugins/CustomizeEmailSubject

thE_iNviNciblE

thE_iNviNciblE

2017-01-27 02:54

reporter   ~0055363

very nice :-)

yfedorina

yfedorina

2017-09-01 05:18

reporter   ~0057587

Hi!

Did someone test this plugin on 2.5 version?

thE_iNviNciblE

thE_iNviNciblE

2019-03-23 14:21

reporter   ~0061752

is it feature 2.1.x in the core?

thE_iNviNciblE

thE_iNviNciblE

2019-04-13 01:32

reporter   ~0061916

@atrol: the github download isn't working with 2.x



thE_iNviNciblE

thE_iNviNciblE

2019-04-13 01:41

reporter   ~0061917

@Yvotetac: Also nice...

https://github.com/mantisbt-plugins/EmailReporting

http://www.mantisbt.org/wiki/doku.php/mantisbt:plugins:emailreporting

thE_iNviNciblE

thE_iNviNciblE

2019-04-13 01:44

reporter   ~0061918

Last edited: 2019-04-13 01:44

View 2 revisions

i can't install "Email Reporting" under actual release of mantis 2.2.0, nothing is happen, also no crash.



atrol

atrol

2019-04-13 05:58

developer   ~0061920

@atrol: the github download isn't working with 2.x
i can't install "Email Reporting" under actual release of mantis 2.2.0, nothing is happen, also no crash.

This is not the right place to deal with those issues.

Please use
https://github.com/mantisbt-plugins/CustomizeEmailSubject/issues
https://mantisbt.org/forums/viewforum.php?f=13

Issue History

Date Modified Username Field Change
2008-03-19 18:06 thE_iNviNciblE New Issue
2010-09-22 08:10 M.C.S. Note Added: 0026840
2011-05-09 06:02 anstifan Note Added: 0028763
2011-08-16 07:38 zdroyer Note Added: 0029487
2012-03-05 14:25 atrol Relationship added related to 0012830
2013-03-13 09:35 atrol Relationship added related to 0015648
2013-04-18 10:16 stojex Note Added: 0036627
2014-01-11 11:59 Yvotetac File Added: CustomizeEmailSubject.zip
2014-01-11 12:17 Yvotetac Note Added: 0039017
2014-01-11 14:37 atrol Note Added: 0039018
2014-06-16 17:11 atrol Relationship added related to 0017445
2017-01-27 02:54 thE_iNviNciblE Note Added: 0055363
2017-09-01 05:18 yfedorina Note Added: 0057587
2019-03-23 14:21 thE_iNviNciblE Note Added: 0061752
2019-04-13 01:32 thE_iNviNciblE File Added: 2019-04-13 07_30_51-Plugins verwalten - Projektverwaltung maiwell.png
2019-04-13 01:32 thE_iNviNciblE Note Added: 0061916
2019-04-13 01:41 thE_iNviNciblE Note Added: 0061917
2019-04-13 01:44 thE_iNviNciblE File Added: 2019-04-13 07_43_08-Plugins verwalten - Projektverwaltung maiwell.png
2019-04-13 01:44 thE_iNviNciblE Note Added: 0061918
2019-04-13 01:44 thE_iNviNciblE Note Edited: 0061918 View Revisions
2019-04-13 05:58 atrol Note Added: 0061920